unable to compile since source is not 1.3 compliant

Issue #1 resolved
carcher
created an issue

After cloning the repository, the mvn install command fails to execute because the java compiler is being executed in default -source=1.3 mode.

I was able to work around by adding the following to the pom.xml:

{{{

!xml

  <plugin>
    <groupId>org.apache.maven.plugins</groupId>
    <artifactId>maven-compiler-plugin</artifactId>
    <configuration>
      <source>1.6</source>
      <target>1.6</target>
      <verbose>false</verbose>
      <debug>true</debug>
      <showDeprecation>true</showDeprecation>
      <showWarnings>true</showWarnings>
    </configuration>
  </plugin>

}}}

Comments (2)

  1. Log in to comment